Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I run upgrade after installing all recommended updates from update manager, and I got dialog:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
E:Unable to correct problems, you have held broken packages.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command 'ubuntu-bug update-manager' in a terminal.

So I reported bug.

I also tried

umpirsky@umpirsky:~$ sudo apt-get update
...
Fetched 16.6 kB in 1min 22s (200 B/s)
Reading package lists... Done
W: GPG error: http://archive.canonical.com oneiric Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <email address hidden>

Any workaround for this?

share|improve this question
    
On my part, the second solution does not work at all. It may work for others. –  Ryan McClure Apr 26 '12 at 18:37
    
First and second solution didn't work, last one returned ` cd: /var/cache/apt-cacher-ng: No such file or directory`. Still getting GPG error. Thanks. –  umpirsky Apr 26 '12 at 18:47
    
Please try a sudo apt-get upgrade and add the results into your question, it looks like you have some broken packages that might be throwing the upgrader off –  Jorge Castro Apr 26 '12 at 21:23
    
@JorgeCastro sudo apt-get upgrade [sudo] password for umpirsky: Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. –  umpirsky Apr 26 '12 at 21:57

2 Answers 2

up vote 2 down vote accepted

I had this problem too on my Lenovo Thinkpad due to ppa graphics dirvers. I solved it by installing ppa-purge and then removing the https://launchpad.net/~oibaf/+archive/graphics-drivers ppa:

sudo apt-get install ppa-purge

sudo ppa-purge ppa:oibaf/graphics-drivers

share|improve this answer
    
Worked, thanks! –  umpirsky Apr 27 '12 at 21:41
    
I worked..I just upgraded again all the packages for 12.04 and then I launched the upgrader to 12.10..and everything went fine. –  heiko81 Oct 18 '12 at 22:56

I had this issue, and found that it was resolved by setting my software-sources back to the ubuntu.com site. (I had a faster mirror selected initially.) Through software Center, I used the Edit menu --> Software Sources ... and on the dialog for Software Sources, I chose 'Main Server'. I then ran sudo apt-get update. After that, it could calculate the changes and upgrade. This primary site was slower, but this solved the problem in my case.

share|improve this answer
    
Didn't work for me. –  umpirsky Apr 26 '12 at 21:53

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.